summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGuillaume Seren <guillaumeseren@gmail.com>2021-04-01 05:39:10 +0200
committerJoonas Niilola <juippis@gentoo.org>2021-04-13 10:17:01 +0300
commit818d8236625a6e14b9c8d57ac2197b2711e458bd (patch)
treedc20ff5b82c5d19b529290ed1a1dc03c7d2adb26 /dev-python/urwidtrees/files
parentapp-editors/ted: add missing dies to 2.23-r1 (diff)
downloadgentoo-818d8236625a6e14b9c8d57ac2197b2711e458bd.tar.gz
gentoo-818d8236625a6e14b9c8d57ac2197b2711e458bd.tar.bz2
gentoo-818d8236625a6e14b9c8d57ac2197b2711e458bd.zip
dev-python/urwidtrees: Fix mock dependency bug #770391
Closes: https://bugs.gentoo.org/770391 Package-Manager: Portage-3.0.17, Repoman-3.0.2 Signed-off-by: Guillaume Seren <guillaumeseren@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/20214 Signed-off-by: Joonas Niilola <juippis@gentoo.org>
Diffstat (limited to 'dev-python/urwidtrees/files')
-rw-r--r--dev-python/urwidtrees/files/urwidtrees-1.0.3-0001-Update-mock-dependency-to-install-when-necessary.patch30
1 files changed, 30 insertions, 0 deletions
diff --git a/dev-python/urwidtrees/files/urwidtrees-1.0.3-0001-Update-mock-dependency-to-install-when-necessary.patch b/dev-python/urwidtrees/files/urwidtrees-1.0.3-0001-Update-mock-dependency-to-install-when-necessary.patch
new file mode 100644
index 00000000000..d26d23e085f
--- /dev/null
+++ b/dev-python/urwidtrees/files/urwidtrees-1.0.3-0001-Update-mock-dependency-to-install-when-necessary.patch
@@ -0,0 +1,30 @@
+From ed39dbc4fc67b0e0249bf108116a88cd18543aa9 Mon Sep 17 00:00:00 2001
+From: Louis Leseur <louis.leseur@gmail.com>
+Date: Wed, 26 Aug 2020 10:36:29 +0200
+Subject: [PATCH] Update mock dependency to install when necessary
+
+Closes: #48
+---
+ setup.py | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/setup.py b/setup.py
+index 9f6e328..ab8ffdc 100755
+--- a/setup.py
++++ b/setup.py
+@@ -14,10 +14,10 @@ setup(
+ url="https://github.com/pazz/urwidtrees",
+ license="Licensed under the GNU GPL v3+.",
+ packages=['urwidtrees'],
+- install_requires=['urwid>=1.1.0', 'mock'],
++ install_requires=['urwid>=1.1.0'],
+ extras_require={
+ 'docs': [
+- 'mock',
++ 'mock;python_version<"3.3"',
+ ],
+ },
+ )
+--
+2.26.3
+